.quantity {
    display: block;
    position: relative;
    background: $white;
 //   width: rem(80);
    height: rem(70);
    border-radius: 12px;
    $input-selector: "input[type=text], input[type=number]";

    #{$input-selector} {
        margin: 0;
        width: 100%;
        z-index: 10;
        height: 70px;
        max-height: 70px;
        outline: none;
        color: #525252;
        text-align: center;
        font-weight: 400;
        font-size: 17px;
        line-height: 20px;
        padding: 24px 76px;
        border-radius: 12px;
        position: relative;
        background: transparent;
        display: block;
        vertical-align: middle;
        appearance: none;
        -moz-appearance: textfield;
        font-family: $font-family-secondary;
        border: 1px solid rgba(5, 20, 133, 0.12);
        @include placeholder(transparent);

        &::-ms-clear {
            display: none;
            width: 0;
            height: 0;
        }

        &:focus,
        &:active {
            opacity: 1;
            outline: none;
            @include placeholder(transparent);

        }


        &.error {
            border-color: red !important;
        }
    }

    input[type="number"]::-webkit-outer-spin-button,
    input[type="number"]::-webkit-inner-spin-button {
        display: none;
    }

    &__field {
        z-index: 5;
        position: relative;
    }

    &__button {
        top: 7px;
        bottom: 7px;
        font-size: 0;
        line-height: 0;
        width: 66px;
        border: none;
        outline: none;
        z-index: 10;
        background: #F5F7FF;
        border-radius: 12px;
        cursor: pointer;
        position: absolute;
        &:after,
        &:before {
            top: calc(50% - 1px);
            left: calc(50% - 4px);
            z-index: 10;
            content: '';
            width: 8px;
            height: 1px;
            background: $black;
            position: absolute;
        }

        &--minus {
            left: 8px;
        }

        &--plus {
            right: 8px;

            &:after {
                transform: rotate(90deg);
            }
        }
    }
}

